Gecode::Int::Distinct::HallInfo< IntType > Class Template Reference

Information on Hall intervals. More...

`#include <bnd.hpp>`

## Public Attributes

IntType | bounds
IntType | t
IntType | d
IntType | h

## Detailed Description

template<class IntType>
class Gecode::Int::Distinct::HallInfo< IntType >

Information on Hall intervals.

Definition at line 138 of file bnd.hpp.

## Member Data Documentation

## bounds

template<class IntType>

IntType Gecode::Int::Distinct::HallInfo< IntType >::bounds

Definition at line 140 of file bnd.hpp.

## t

template<class IntType>

IntType Gecode::Int::Distinct::HallInfo< IntType >::t

Definition at line 140 of file bnd.hpp.

## d

template<class IntType>

IntType Gecode::Int::Distinct::HallInfo< IntType >::d

Definition at line 140 of file bnd.hpp.

## h

template<class IntType>

IntType Gecode::Int::Distinct::HallInfo< IntType >::h

Definition at line 140 of file bnd.hpp.

The documentation for this class was generated from the following file:

- gecode/int/distinct/bnd.hpp